/// <reference types="bunyan" />
/// <reference types="node" />
import bunyan = require('bunyan');
declare namespace SlJsInfra {
    interface IHttpClientConfig {
        token: string;
        proxy: string;
        server: string;
        compressRequests: boolean;
    }
    class BackendProxy {
        constructor(cfg: IHttpClientConfig, logger: bunyan);
        getBuildSession(buildSessionId: string, callback: (err: Error, body: any) => void): any;
    }
    class HttpClient {
        protected cfg: IHttpClientConfig;
        protected logger: bunyan;
        constructor(cfg: IHttpClientConfig, logger: bunyan);
        get<T>(urlPath: string, callback: (err: Error, data: T) => void): void;
        delete<T>(urlPath: string, callback: (err: Error, data: T) => void): void;
        post(bufferToSend: Buffer, urlPath: string, callback: (err: Error) => void): void;
        private internalPost(urlPath, buffer, additionalHeaders, callback);
        private allowUntrustedCertificates();
        private createDefaultOptions(urlPath);
    }
}
export = SlJsInfra;
