/// <reference types="bunyan" />
/// <reference types="node" />
import { IHttpClientConfig } from "./contracts";
import bunyan = require('bunyan');
export declare class HttpClient {
    protected cfg: IHttpClientConfig;
    protected logger: bunyan;
    constructor(cfg: IHttpClientConfig, logger: bunyan);
    get<T>(urlPath: string, callback: (err: Error, data: T) => void): void;
    delete<T>(urlPath: string, callback: (err: Error, data: T) => void): void;
    post(bufferToSend: Buffer, urlPath: string, callback: (err: Error) => void): void;
    private internalPost(urlPath, buffer, additionalHeaders, callback);
    private allowUntrustedCertificates();
    private createDefaultOptions(urlPath);
}
